can't compile on gentoo

Bug #595751 reported by Sergey Klimov on 2010-06-18
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
BAMF
Wishlist
Unassigned
Unity
Incomplete
Undecided
Unassigned
bamf (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

libtool: compile: x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../common -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/ -pthread -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DG_DISABLE_DEPRECATED -march=core2 -O2 -pipe -Wall -Werror -lm -MT libgiobamf_la-gapplaunchhandlerdbus.lo -MD -MP -MF .deps/libgiobamf_la-gapplaunchhandlerdbus.Tpo -c gapplaunchhandlerdbus.c -fPIC -DPIC -o .libs/libgiobamf_la-gapplaunchhandlerdbus.o
gapplaunchhandlerdbus.c:36: error: expected ‘)’ before ‘*’ token
gapplaunchhandlerdbus.c: In function ‘g_app_launch_handler_bamf_register_type’:
gapplaunchhandlerdbus.c:46: error: ‘launch_handler_iface_init’ undeclared (first use in this function)
gapplaunchhandlerdbus.c:46: error: (Each undeclared identifier is reported only once
gapplaunchhandlerdbus.c:46: error: for each function it appears in.)
gapplaunchhandlerdbus.c:46: error: ‘G_TYPE_DESKTOP_APP_INFO_LAUNCH_HANDLER’ undeclared (first use in this function)
gapplaunchhandlerdbus.c: At top level:
gapplaunchhandlerdbus.c:99: error: expected ‘)’ before ‘*’ token
gapplaunchhandlerdbus.c:138: error: expected ‘)’ before ‘*’ token
gapplaunchhandlerdbus.c: In function ‘g_app_launch_handler_bamf_register’:
gapplaunchhandlerdbus.c:147: error: ‘G_DESKTOP_APP_INFO_LAUNCH_HANDLER_EXTENSION_POINT_NAME’ undeclared (first use in this function)

Jason Smith (jassmith) wrote :

You need a patched GIO to compile the gio module

Neil J. Patel (njpatel) wrote :

Marking as invalid as you need a patched gio. The patch is available at https://bugzilla.gnome.org/show_bug.cgi?id=606960 .

Changed in bamf:
status: New → Invalid
Christoph Mende (cmende) wrote :

The upstream bug has been resolved as fixed in 2.23 and if I understand it correctly, the same feature that's used by bamf is now implemented via dbus signals. Would it be possible to use those instead?
Patching GIO means most distributions (read: any other than ubuntu and arch via the AUR maybe) will never ship bamf.

Christoph Mende (cmende) wrote :

Reopening since glib upstream says this will never be included, which means hardly any distribution will ever ship bamf.

Changed in bamf:
status: Invalid → New
Alex Launi (alexlauni) on 2011-08-01
Changed in bamf (Ubuntu):
status: New → Invalid
Changed in bamf:
status: New → Confirmed
importance: Undecided → Wishlist
Changed in unity:
status: New → Invalid
Changed in unity-2d:
status: New → Invalid
Didier Roche (didrocks) on 2011-08-02
Changed in unity:
status: Invalid → Confirmed
Changed in bamf (Ubuntu):
status: Invalid → Confirmed
Didier Roche (didrocks) on 2011-08-02
Changed in unity-2d:
status: Invalid → Confirmed

This is an old bug, if someone wishes to add more information on any problems compiling on gentoo please update the bug! Marking as incomplete to leave some time.

Changed in bamf:
status: Confirmed → Incomplete
Changed in unity:
status: Confirmed → Incomplete
Changed in bamf (Ubuntu):
status: Confirmed → Incomplete
Changed in unity-2d:
status: Confirmed → Invalid
Jackal (turboknot13) wrote :

Not sure if this is related, but compiling BAMF 0.5.0 it fails with the following
configure: error: You need to install python-libxslt1 and python-libxml2

tried dev-libs/libxslt & dev-libs/libxml2 and with lxml

Changed in unity (Ubuntu):
status: New → Incomplete
Andrea Azzarone (azzar1) on 2014-12-03
no longer affects: unity-2d
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.